lxv_main : dialog {
  label = "Layer Viewer";
  : concatenation {
    : text_part {
      key = "dwg_ttl";
      value = "";
      fixed_width = true;
      width = 3;
    }
    : text_part {
      width = 15;
      fixed_width = true;
      value = " Drawing Layers";
    }
    : text_part {
      value = "   Selected: ";
      width = 13;
    }
    : text_part {
      key = "sel_ttl";
      value = "0";
      width = 3;
    }
  }
  : list_box {
    key = "dwg_lyrs";
    multiple_select = true;
    fixed_width = true;
    width = 35;
  }
  : row {
    children_fixed_width = true;
    : edit_box {
      key = "lyr_mask";
      edit_width = 18;
      edit_limit = 31;
    }
    : button {
      key = "select";
      label = "Select";
      mnemonic = "S";
      width = 7;
    }
    : button {
      key = "clear";
      label = "Clear";
      mnemonic = "C";
      width = 7;
    }
  }
  : row {
    : toggle {
      key = "reset";
      label = "Reset on exit";
      value = "0";
    }
    : toggle {
      key = "refresh";
      label = "Refresh layers";
      value = "0";
    }
  }
  spacer_1;
  : row {
    : button {
      key = "view";
      label = "View";
      mnemonic = "V";
      width = 7;
      fixed_width = true;
    }
    : button {
        label = "Step";
        key = "step";
        mnemonic = "t";
        fixed_width = true;
        width = 7;
    }
    close_button;
    help_button;
  }
  errtile;
}

lxv_step : dialog {
  label = "Layer Stepper";
  : popup_list {
    key = "lname";
  }
  : row {
    children_fixed_width = true;
    : button {
      key = "prev";
      label = "<<";
      width = 4;
    }
    : button {
      key = "refresh";
      label = "Refresh";
      width = 8;
    }
    close_button;
    : button {
      key = "add";
      label = "Add";
      width = 8;
    }
    : button {
      key = "next";
      label = ">>";
      width = 4;
    }
  }
  errtile;
}

close_button : retirement_button {
  label = "Close";
  key   = "close";
  is_default     = true;
  is_cancel      = true;
}

